import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { AgregarComponent } from './pages/agregar/agregar.component';
import { DetallesComponent } from './pages/detalles/detalles.component';
import { ListarComponent } from './pages/listar/listar.component';
import { MaterialModule } from '../material/material.module';
import { ReservasRoutingModule } from './reservas-routing.module';
import { HeaderComponent } from './components/header/header.component';
import { ReactiveFormsModule } from '@angular/forms';
import { FormsModule } from '@angular/forms';



@NgModule({
  declarations: [
    AgregarComponent,
    DetallesComponent,
    ListarComponent,
    HeaderComponent
  ],
  imports: [
    CommonModule,
    MaterialModule,
    ReservasRoutingModule,
    ReactiveFormsModule,
    FormsModule
  ]
})
export class ReservasModule { }
