import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { HeaderComponent } from './header/header.component';
import { NavegationComponent } from './navegation/navegation.component';
import { SidebarComponent } from './sidebar/sidebar.component';
import { FooterComponent } from './footer/footer.component';
import { RouterModule } from '@angular/router';
import { ErrorPageComponent } from './error-page/error-page.component';

/* Componentes */


@NgModule({
  declarations: [
    HeaderComponent,
    NavegationComponent,
    SidebarComponent,
    FooterComponent,
    ErrorPageComponent
  ],
  exports: [
    HeaderComponent,
    NavegationComponent,
    SidebarComponent,
    FooterComponent
  ],
  imports: [
    CommonModule,
    RouterModule
  ]
})
export class SharedModule { }
