import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ListarComponent } from './pages/listar/listar.component';
import { AgregarComponent } from './pages/agregar/agregar.component';
import { DetallesComponent } from './pages/detalles/detalles.component';
import { AeropuertosRoutingModule } from './aeropuertos-routing.module';
import { PaginatePipe } from '../shared/pipes/paginate.pipe';
import { MaterialModule } from '../material/material.module';
import { HeaderComponent } from './components/header/header.component';
import { ReactiveFormsModule } from '@angular/forms';
import { FormsModule } from '@angular/forms';



@NgModule({
  declarations: [
    ListarComponent,
    AgregarComponent,
    DetallesComponent,
    HeaderComponent,
    // PaginatePipe
  ],
  imports: [
    CommonModule,
    MaterialModule,
    AeropuertosRoutingModule,
    ReactiveFormsModule,
    FormsModule
  ]
})
export class AeropuertosModule { }
