import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { PagarComponent } from './pages/pagar/pagar.component';
import { DetallesComponent } from './pages/detalles/detalles.component';
import { MaterialModule } from '../material/material.module';
import { PagoReservaRoutingModule } from './pago-reserva-routing.module';
import { ListarComponent } from './pages/listar/listar.component';
import { HeaderComponent } from './components/header/header.component';
import { ReactiveFormsModule } from '@angular/forms';
import { FormsModule } from '@angular/forms';



@NgModule({
  declarations: [
    PagarComponent,
    DetallesComponent,
    ListarComponent,
    HeaderComponent,
    
  ],
  imports: [
    CommonModule,
    MaterialModule,
    PagoReservaRoutingModule,
    ReactiveFormsModule,
    FormsModule
  ]
})
export class PagoReservaModule { }
