import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ListarComponent } from './pages/listar/listar.component';
import { MaterialModule } from '../material/material.module';
import { PagosRoutingModule } from './pagos-routing.module';
import { DetallesComponent } from './pages/detalles/detalles.component';
import { HeaderComponent } from './components/header/header.component';

import { FormsModule } from '@angular/forms';


@NgModule({
  declarations: [
    ListarComponent,
    DetallesComponent,
    HeaderComponent  
  ],
  imports: [
    CommonModule,
    MaterialModule,
    PagosRoutingModule,
    FormsModule
  ]
})
export class PagosModule { }
