export interface Vuelo {
  id:                 number;
  costo:              number;
  codigoAerolinea:    string;
  codigoTipoAeronave: string;
  fechaSalida:        Date;
  fechaLlegada:       Date;
  escalas:            Escala[];
  aeropuertoOrigen:   string;
  aeropuertoDestino:  string;
  codigoOrigen:       number;
  codigoDestino:      number;
}

export interface Escala {
  id:                number;
  fechaSalida:       Date;
  fechaLlegada:      Date;
  aeropuertoOrigen:  string;
  aeropuertoDestino: string;
}
